// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/widgets.dart';
import 'package:wyatt_component_copy_with_extension/component_copy_with_extension.dart';
import 'package:wyatt_ui_components/src/domain/entities/cards/card_component.dart';
import 'package:wyatt_ui_components/wyatt_wyatt_ui_components.dart';

part 'portfolio_card_component.g.dart';

@ComponentProxyExtension()
abstract class PortfolioCardComponent extends CardComponent
    with CopyWithMixin<$PortfolioCardComponentCWProxy> {
  const PortfolioCardComponent({
    this.showImagesOnTop,
    this.keyword,
    this.description,
    this.logo,
    this.projectName,
    this.subtitle,
    this.ctas,
    this.assets,
    super.radius,
    super.padding,
    super.borderColors,
    super.backgroundColor,
    super.minSize,
    super.maxSize,
    super.shadow,
    super.background,
    super.key,
  });

  final bool? showImagesOnTop;
  final List<TextWrapper>? keyword;
  final List<String>? assets;
  final TextWrapper? description;
  final String? logo;
  final TextWrapper? projectName;
  final TextWrapper? subtitle;
  final List<Widget>? ctas;
}
